Summary:       Command-line tools and library for transforming PDF files
Name:          qpdf
Version:       11.1.1
Release:       5%{?dist}
License:       (Artistic 2.0 or ASL 2.0) and MIT
URL:           http://qpdf.sourceforge.net/
Source0:       http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:       http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-doc.zip

BuildRequires: gcc gcc-c++ cmake zlib-devel libjpeg-turbo-devel gnutls-devel
BuildRequires: perl-generators perl-interpreter perl(Carp) perl(Config) perl(constant)
BuildRequires: perl(Cwd) perl(Digest::MD5) perl(Digest::SHA) perl(File::Basename)
BuildRequires: perl(File::Compare) perl(File::Copy) perl(File::Find) perl(File::Spec)
BuildRequires: perl(FileHandle) perl(IO::Handle) perl(IO::Select) perl(IO::Socket)
BuildRequires: perl(POSIX) perl(strict)

Requires:      %{name}-libs = %{version}-%{release}

%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF viewer
or a program capable of converting PDF into other formats.

%package       libs
Summary:       QPDF library for transforming PDF files

%description   libs
QPDF is a C++ library that inspect and manipulate the structure of PDF files.
It can encrypt and linearize files, expose the internals of a PDF file,
and do many other operations useful to PDF developers.

%package       devel
Summary:       Development files for QPDF library
Requires:      %{name}-libs = %{version}-%{release}

%description   devel
Header files and libraries necessary
for developing programs using the QPDF library.

%prep
%autosetup -n %{name}-%{version} -p1 -a1

%build
%cmake \
    -DBUILD_STATIC_LIBS=0       \
    -DREQUIRE_CRYPTO_GNUTLS=1   \
    -DUSE_IMPLICIT_CRYPTO=0     \
    -DSHOW_FAILED_TEST_OUTPUT=1 \
    -DINSTALL_CMAKE_PACKAGE=0

%cmake_build

%install
%cmake_install
install -m 0644 %{name}-%{version}-doc/%{name}-manual.pdf %{buildroot}/%{_pkgdocdir}/%{name}-manual.pdf

%check
%ctest

%files
%{_bindir}/fix-qdf
%{_bindir}/qpdf
%{_bindir}/zlib-flate
%{_mandir}/man1/*

%files libs
%license Artistic-2.0
%doc README.md TODO ChangeLog
%{_libdir}/libqpdf.so.29
%{_libdir}/libqpdf.so.29.1.1

%files devel
%doc examples/*.cc examples/*.c
%{_includedir}/qpdf/
%{_libdir}/libqpdf.so
%{_libdir}/pkgconfig/libqpdf.pc
%{_pkgdocdir}


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.1.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Shuo Wang <abushwang@tencent.com> - 11.1.1-1
- initial build

